/* animation */
@-webkit-keyframes wpteSpin{
    0%{
        transform: rotate(0deg);
    }
    100%{
        transform: rotate(360deg);
    }
}
@keyframes wpteSpin{
    0%{
        transform: rotate(0deg);
    }
    100%{
        transform: rotate(360deg);
    }
}

/* grid */
.wpte-showcase-posts-row{
    display: flex;
    flex-wrap: wrap;
    margin: -20px -15px;
}

.wpte-showcase-post-item{
    padding: 20px 15px;
    width: 100%;
    max-width: 50%;
}

.wpte-showcase-post{
    border: 1px solid #E0E9EC;
    border-radius: 8px;
    background-color: #fff;
}

.wpte-showcase-post .wpte-showcase-post-thumbnail{
    border-radius: 8px 8px 0 0;
    overflow: hidden;
}

.wpte-showcase-post .wpte-showcase-post-thumbnail img{
    vertical-align: top;
    margin: 0;
    width: 100%;
    height: auto;
    transition: all 1s ease-in-out;
}

.wpte-showcase-post .wpte-showcase-post-thumbnail a:hover img{
    transform: scale(1.2);
}

.wpte-showcase-post-content-wrap{
    padding: 32px 16px 24px;
    text-align: center;
}

.wpte-showcase-post .wpte-showcase-post-title{
    font-size: 32px;
    line-height: 1.25;
    font-weight: 600;
    margin: 0 0 12px;
}

.wpte-showcase-post .wpte-showcase-post-title a{
    text-decoration: none;
    color: inherit;
}

.wpte-showcase-post .wpte-showcase-post-title a:hover{
    color: var(--primary-color, #2183DF);
}

.wpte-showcase-post .wpte-showcase-post-content{
    margin: 0 0 24px;
}

.wpte-showcase-post .wpte-showcase-post-content p{
    margin: 0 0 1.5em;
}

.wpte-showcase-post .wpte-showcase-post-content p:last-child{
    margin-bottom: 0;
}

.wpte-showcase-post .wpte-showcase-post-addons{
    margin: 0 0 24px;
}

.wpte-showcase-post .wpte-showcase-post-addons h6{
    font-size: 20px;
    line-height: 1.4;
    font-weight: 500;
    margin: 0 0 12px;
}

.wpte-showcase-post .wpte-showcase-post-addon-links{
    margin: -4px;
    font-size: 0;
}

.wpte-showcase-post .wpte-showcase-post-addon-link{
    display: inline-block;
    padding: 8px 14px;
    border-radius: 100px;
    font-size: 12px;
    line-height: 1.33;
    text-decoration: none;
    color: #000;
    background-color: rgba(var(--primary-color-rgb, #ECF6FF), .1);
    margin: 4px;
    transition: all .3s ease;
}

.wpte-showcase-post .wpte-showcase-post-addon-link:hover{
    background-color: var(--primary-color, #2183DF);
    color: #ffffff;
}

.wpte-showcase-post .wpte-showcase-post-btn{
    text-decoration: none;
    font-size: 18px;
    line-height: 1.55;
    font-weight: 600;
    padding: 16px 32px;
    border-radius: 4px;
    background-color: var(--primary-color, #2183DF);
    border: 2px solid var(--primary-color, #2183DF);
    color: #fff;
    display: inline-block;
    width: 100%;
    transition: all .3s ease;
}

.wpte-showcase-post .wpte-showcase-post-btn:hover{
    color: var(--primary-color, #2183DF);
    background-color: #ffffff;
}

.wpte-showcase-load-more{
    text-align: center;
    margin-top: 56px;
}

.wpte-showcase-load-more .wpte-showcase-load-more-btn{
    cursor: pointer;
    display: inline-block;
    padding: 16px 32px;
    font-size: 18px;
    line-height: 1.5;
    font-weight: 600;
    border-radius: 4px;
    color: var(--primary-color, #2183DF);
    background: none;
    border: 2px solid var(--primary-color, #2183DF);
    position: relative;
    transition: all .3s ease;
}

.wpte-showcase-load-more .wpte-showcase-load-more-btn:hover{
    background-color: var(--primary-color, #2183DF);
    color: #fff;
}

.wpte-showcase-load-more .wpte-showcase-load-more-btn.is-loading::after{
    content: "";
    display: inline-block;
    width: 1em;
    height: 1em;
    border-radius: 50%;
    border: 3px solid currentColor;
    border-bottom-color: rgba(0,0,0, .1);
    animation: wpteSpin linear 1s infinite;
    vertical-align: middle;
    margin-left: 8px;
}

@media(width <= 767px){
    .wpte-showcase-post-item{
        max-width: 100%;
    }
}